import dayjs from "dayjs"
import utc from "dayjs/plugin/utc"

export const getLocalDate = (s: string) => {
  dayjs.extend(utc)
  return dayjs(s).local().format("YYYY-MM-DD")
}

export const getLocalDatetime = (s: string) => {
  dayjs.extend(utc)
  return dayjs(s).local().format("YYYY-MM-DD HH:mm")
}

export const getUTCDatetime = (s: string) => {
  dayjs.extend(utc)
  return dayjs(s).utc().format("YYYY-MM-DD HH:mm")
}

export const getUTCDate = (s: string) => {
  dayjs.extend(utc)
  return dayjs(s).utc().format("YYYY-MM-DD")
}

export const getUTCTime = (s: string) => {
  dayjs.extend(utc)
  return dayjs(s).utc().format("HH:mm")
}
